#NLS_ENCODING=UTF-8
#NLS_MESSAGEFORMAT_NONE
#Wed Mar 02 11:25:38 EST 2016
<title>Using\ wget\ (Unix)</title>\ <code>\ \#\!/bin/bash\ TRIGGER_URL\="${triggerUrl}"\ CODE\="${triggerCode}"\ REPO\="[insert\ repo\ FQN\ here]"`pwd`\ BRANCH\=$1\ wget\ -O\ /dev/null\ --quiet\ --no-check-certificate\ --post-data\="code\=$CODE&repo\=$REPO&branch\=$BRANCH"\ "$TRIGGER_URL"\ \#\ To\ use\ curl\ instead\ of\ wget,\ use\ this\ command\ \#\ curl\ --retry\ 1\ -k\ -d\ "code\=$CODE&repo\=$REPO&branch\=$BRANCH"\ -o\ /dev/null\ "$TRIGGER_URL"\ </code>=<title>[G'\uff35\uff53\uff49\uff4e\uff47 \uff57\uff47\uff45\uff54 (\uff35\uff4e\uff49\uff58)</title> <code> \#\!/\uff42\uff49\uff4e/\uff42\uff41\uff53\uff48 \uff34\uff32\uff29\uff27\uff27\uff25\uff32_\uff35\uff32\uff2c\="$[{triggerUrl}]" \uff23\uff2f\uff24\uff25\="$[{triggerCode}]" \uff32\uff25\uff30\uff2f\="[\uff49\uff4e\uff53\uff45\uff52\uff54 \uff52\uff45\uff50\uff4f \uff26\uff31\uff2e \uff48\uff45\uff52\uff45]"`\uff50\uff57\uff44` \uff22\uff32\uff21\uff2e\uff23\uff28\=[$1] \uff57\uff47\uff45\uff54 -\uff2f /\uff44\uff45\uff56/\uff4e\uff55\uff4c\uff4c --\uff51\uff55\uff49\uff45\uff54 --\uff4e\uff4f-\uff43\uff48\uff45ck-certificate --post-data\="code\=[$CODE]&repo\=[$REPO]&branch\=[$BRANCH]" "[$TRIGGER_URL]" \# To use curl instead of wget, use this command \# curl --retry 1 -k -d "code\=[$CODE]&repo\=[$REPO]&branch\=[$BRANCH]" -o /dev/null "[$TRIGGER_URL]"\u0e0f\u0e39\u0130\u0131\uff5c] </code>
A\ message\ for\ the\ commit=[G'\uff21 \uff4d\uff45\uff53\uff53\uff41\uff47\uff45 for the commit\u0e0f\u0e39\u0130\u0131\uff5c]
A\ url\ prefix\ for\ source\ configurations\ to\ specify\ a\ relative\ path\ to\ the\ hg\ repository\ (e.g.\ https\://hg.example.com/repos/\ or\ ssh\://hg.example.com/repos/)=[G'\uff21 \uff55\uff52\uff4c \uff50\uff52\uff45\uff46\uff49\uff58 \uff46\uff4f\uff52 \uff53\uff4f\uff55\uff52\uff43\uff45 \uff43\uff4f\uff4e\uff46\uff49\uff47\uff55\uff52\uff41\uff54\uff49\uff4f\uff4e\uff53 \uff54\uff4f \uff53\uff50ecify a relative path to the hg repository (e.g. https\://hg.example.com/repos/ or ssh\://hg.example.com/repos/)\u0e0f\u0e39\u0130\u0131\uff5c]
Branch=[G'Branch\u0e0f\u0e39\u0130\u0131\uff5c]
Changes\ URL=[G'\uff23\uff48anges URL\u0e0f\u0e39\u0130\u0131\uff5c]
Clean\ Workspace=[G'\uff23\uff4c\uff45\uff41n Workspace\u0e0f\u0e39\u0130\u0131\uff5c]
Command\ Path=[G'\uff23\uff4fmmand Path\u0e0f\u0e39\u0130\u0131\uff5c]
Create\ a\ tag\ in\ Mercurial\ of\ the\ specified\ working\ copy.=[G'\uff23\uff52\uff45\uff41\uff54\uff45 \uff41 \uff54\uff41\uff47 \uff49\uff4e Mercurial of the specified working copy.\u0e0f\u0e39\u0130\u0131\uff5c]
Date=[G'Date\u0e0f\u0e39\u0130\u0131\uff5c]
Date\ of\ sourcecode\ to\ checkout\ ('yyyy-MM-dd\ HH\:mm\:ss\ z'\ OR\ 'E\ MMM\ dd\ HH\:mm\:ss\ zzz\ yyyy'\ OR\ milliseconds\ since\ Unix\ Epoch).\ Defaults\ to\ the\ requested\ build\ date\ for\ the\ workflow.=[G'\uff24\uff41\uff54\uff45 \uff4f\uff46 \uff53\uff4f\uff55\uff52\uff43\uff45\uff43\uff4f\uff44\uff45 \uff54\uff4f \uff43\uff48\uff45\uff43\uff4b\uff4f\uff55\uff54 ('\uff59\uff59\uff59\uff59-\uff2d\uff2d-\uff44\uff44 \uff28\uff28\:\uff4d\uff4d\:\uff53\uff53 \uff5a' \uff2f\uff32 '\uff25 \uff2dMM dd HH\:mm\:ss zzz yyyy' OR milliseconds since Unix Epoch). Defaults to the requested build date for the workflow.\u0e0f\u0e39\u0130\u0131\uff5c]
Directory\ Offset=[G'\uff24\uff49\uff52\uff45\uff43tory Offset\u0e0f\u0e39\u0130\u0131\uff5c]
Directory\ Offset\ from\ the\ current\ job\ working\ directory.\ (Use\ '.'\ to\ clone\ into\ the\ current\ working\ directory)=[G'\uff24\uff49\uff52\uff45\uff43\uff54\uff4f\uff52\uff59 \uff2f\uff46\uff46\uff53\uff45\uff54 \uff46\uff52\uff4f\uff4d \uff54\uff48\uff45 \uff43\uff55rrent job working directory. (Use '.' to clone into the current working directory)\u0e0f\u0e39\u0130\u0131\uff5c]
End\ changelog\ at\ this\ date\ ('yyyy-MM-dd\ HH\:mm\:ss\ z'\ OR\ 'E\ MMM\ dd\ HH\:mm\:ss\ zzz\ yyyy'\ OR\ milliseconds\ since\ Unix\ Epoch)=[G'\uff25\uff4e\uff44 \uff43\uff48\uff41\uff4e\uff47\uff45\uff4c\uff4f\uff47 \uff41\uff54 \uff54\uff48\uff49\uff53 \uff44\uff41\uff54\uff45 ('\uff59\uff59\uff59\uff59-\uff2dM-dd HH\:mm\:ss z' OR 'E MMM dd HH\:mm\:ss zzz yyyy' OR milliseconds since Unix Epoch)\u0e0f\u0e39\u0130\u0131\uff5c]
End\ changelog\ at\ this\ revision=[G'\uff25\uff4e\uff44 \uff43\uff48\uff41\uff4e\uff47\uff45log at this revision\u0e0f\u0e39\u0130\u0131\uff5c]
End\ Date=[G'End Date\u0e0f\u0e39\u0130\u0131\uff5c]
End\ Revision=[G'\uff25\uff4ed Revision\u0e0f\u0e39\u0130\u0131\uff5c]
Erase\ all\ files\ from\ the\ worksapce\ before\ performing\ checkout=[G'\uff25\uff52\uff41\uff53\uff45 \uff41\uff4c\uff4c \uff46\uff49\uff4c\uff45s from the worksapce before performing checkout\u0e0f\u0e39\u0130\u0131\uff5c]
Exclude\ this\ list\ of\ usernames=[G'\uff25\uff58\uff43\uff4c\uff55\uff44\uff45 \uff54\uff48is list of usernames\u0e0f\u0e39\u0130\u0131\uff5c]
Exclude\ Users=[G'\uff25\uff58\uff43lude Users\u0e0f\u0e39\u0130\u0131\uff5c]
File\ Filters=[G'\uff26\uff49le Filters\u0e0f\u0e39\u0130\u0131\uff5c]
If\ you\ wish\ to\ use\ a\ script\ or\ property\ lookups\ for\ your\ password,\ leave\ the\ Password\ field\ blank\ and\ enter\ it\ here.=[G'\uff29\uff46 \uff59\uff4f\uff55 \uff57\uff49\uff53\uff48 \uff54\uff4f \uff55\uff53\uff45 \uff41 \uff53\uff43\uff52\uff49\uff50\uff54 \uff4f\uff52 \uff50\uff52operty lookups for your password, leave the Password field blank and enter it here.\u0e0f\u0e39\u0130\u0131\uff5c]
Immediately\ push\ the\ new\ tag\ back\ to\ the\ remote=[G'\uff29\uff4d\uff4d\uff45\uff44\uff49\uff41\uff54\uff45\uff4c\uff59 push the new tag back to the remote\u0e0f\u0e39\u0130\u0131\uff5c]
Mercurial=[G'Mercurial\u0e0f\u0e39\u0130\u0131\uff5c]
Mercurial\ Changelog=[G'\uff2d\uff45\uff52\uff43\uff55\uff52ial Changelog\u0e0f\u0e39\u0130\u0131\uff5c]
Mercurial\ Checkout=[G'\uff2d\uff45\uff52\uff43\uff55\uff52ial Checkout\u0e0f\u0e39\u0130\u0131\uff5c]
Mercurial\ Cleanup=[G'\uff2d\uff45\uff52\uff43\uff55rial Cleanup\u0e0f\u0e39\u0130\u0131\uff5c]
Mercurial\ Create\ Tag=[G'\uff2d\uff45\uff52\uff43\uff55\uff52\uff49al Create Tag\u0e0f\u0e39\u0130\u0131\uff5c]
Mercurial\ Quiet\ Period=[G'\uff2d\uff45\uff52\uff43\uff55\uff52\uff49\uff41l Quiet Period\u0e0f\u0e39\u0130\u0131\uff5c]
Mercurial\ Repository=[G'\uff2d\uff45\uff52\uff43\uff55\uff52\uff49al Repository\u0e0f\u0e39\u0130\u0131\uff5c]
Mercurial\ Source\ Config=[G'\uff2d\uff45\uff52\uff43\uff55\uff52\uff49\uff41l Source Config\u0e0f\u0e39\u0130\u0131\uff5c]
Message=[G'Message\u0e0f\u0e39\u0130\u0131\uff5c]
Override\ the\ branch\ to\ check\ out=[G'\uff2f\uff56\uff45\uff52\uff52\uff49\uff44\uff45 \uff54he branch to check out\u0e0f\u0e39\u0130\u0131\uff5c]
Override\ the\ remote\ name\ from\ which\ to\ check\ out=[G'\uff2f\uff56\uff45\uff52\uff52\uff49\uff44\uff45 \uff54\uff48\uff45 remote name from which to check out\u0e0f\u0e39\u0130\u0131\uff5c]
Override\ the\ revision\ to\ check\ out=[G'\uff2f\uff56\uff45\uff52\uff52\uff49\uff44\uff45 \uff54\uff48e revision to check out\u0e0f\u0e39\u0130\u0131\uff5c]
Password=[G'Password\u0e0f\u0e39\u0130\u0131\uff5c]
Password\ Script=[G'\uff30\uff41\uff53\uff53word Script\u0e0f\u0e39\u0130\u0131\uff5c]
Perform\ a\ cleanup\ of\ the\ Mercurial\ working\ directory=[G'\uff30\uff45\uff52\uff46\uff4f\uff52\uff4d \uff41 \uff43\uff4c\uff45\uff41nup of the Mercurial working directory\u0e0f\u0e39\u0130\u0131\uff5c]
Perform\ a\ Mercurial\ changelog\ and\ publish\ the\ results.=[G'\uff30\uff45\uff52\uff46\uff4f\uff52\uff4d \uff41 \uff2d\uff45\uff52\uff43urial changelog and publish the results.\u0e0f\u0e39\u0130\u0131\uff5c]
Perform\ a\ Mercurial\ changelog\ for\ quiet\ period\ detection\ and\ publish\ most\ recent\ change\ date\ within\ the\ period.=[G'\uff30\uff45\uff52\uff46\uff4f\uff52\uff4d \uff41 \uff2d\uff45\uff52\uff43\uff55\uff52\uff49\uff41\uff4c \uff43\uff48\uff41\uff4e\uff47\uff45\uff4cog for quiet period detection and publish most recent change date within the period.\u0e0f\u0e39\u0130\u0131\uff5c]
Perform\ a\ Mercurial\ clone\ and\ checkout\ of\ the\ workflow's\ source=[G'\uff30\uff45\uff52\uff46\uff4f\uff52\uff4d \uff41 \uff2d\uff45\uff52\uff43\uff55rial clone and checkout of the workflow's source\u0e0f\u0e39\u0130\u0131\uff5c]
Push\ Tag=[G'Push Tag\u0e0f\u0e39\u0130\u0131\uff5c]
Remote\ Name=[G'\uff32\uff45mote Name\u0e0f\u0e39\u0130\u0131\uff5c]
Remote\ URL=[G'\uff32emote URL\u0e0f\u0e39\u0130\u0131\uff5c]
Repository=[G'\uff32epository\u0e0f\u0e39\u0130\u0131\uff5c]
Repository\ Base\ URL=[G'\uff32\uff45\uff50\uff4f\uff53\uff49tory Base URL\u0e0f\u0e39\u0130\u0131\uff5c]
Restrict\ changelog\ to\ files\ matching\ these\ patterns.\ Lines\ start\ with\ +\ to\ include,\ and\ -\ to\ exclude.\ Wildcards\ *,\ **,\ and\ ?\ are\ allowed.=[G'\uff32\uff45\uff53\uff54\uff52\uff49\uff43\uff54 \uff43\uff48\uff41\uff4e\uff47\uff45\uff4c\uff4f\uff47 \uff54\uff4f \uff46\uff49\uff4c\uff45\uff53 \uff4d\uff41\uff54\uff43\uff48\uff49\uff4e\uff47 these patterns. Lines start with + to include, and - to exclude. Wildcards *, **, and ? are allowed.\u0e0f\u0e39\u0130\u0131\uff5c]
Revision=[G'Revision\u0e0f\u0e39\u0130\u0131\uff5c]
SCM=[G'SCM\u0e0f\u0e39\u0130\u0131\uff5c]
Select\ the\ Mercurial\ Repository=[G'\uff33\uff45\uff4c\uff45\uff43\uff54 \uff54\uff48\uff45 Mercurial Repository\u0e0f\u0e39\u0130\u0131\uff5c]
Source=[G'Source\u0e0f\u0e39\u0130\u0131\uff5c]
Source\ Config=[G'\uff33\uff4f\uff55rce Config\u0e0f\u0e39\u0130\u0131\uff5c]
Start\ BuildLife\ Id=[G'\uff33\uff54\uff41\uff52\uff54 \uff22uildLife Id\u0e0f\u0e39\u0130\u0131\uff5c]
Start\ changelog\ at\ this\ date\ ('yyyy-MM-dd\ HH\:mm\:ss\ z'\ OR\ 'E\ MMM\ dd\ HH\:mm\:ss\ zzz\ yyyy'\ OR\ milliseconds\ since\ Unix\ Epoch)=[G'\uff33\uff54\uff41\uff52\uff54 \uff43\uff48\uff41\uff4e\uff47\uff45\uff4c\uff4f\uff47 \uff41\uff54 \uff54\uff48\uff49\uff53 \uff44\uff41\uff54\uff45 ('\uff59\uff59\uff59y-MM-dd HH\:mm\:ss z' OR 'E MMM dd HH\:mm\:ss zzz yyyy' OR milliseconds since Unix Epoch)\u0e0f\u0e39\u0130\u0131\uff5c]
Start\ changelog\ at\ this\ revision=[G'\uff33\uff54\uff41\uff52\uff54 \uff43\uff48\uff41\uff4egelog at this revision\u0e0f\u0e39\u0130\u0131\uff5c]
Start\ Date=[G'\uff33tart Date\u0e0f\u0e39\u0130\u0131\uff5c]
Start\ Revision=[G'\uff33\uff54\uff41\uff52t Revision\u0e0f\u0e39\u0130\u0131\uff5c]
Tag=[G'Tag\u0e0f\u0e39\u0130\u0131\uff5c]
The\ ID\ of\ the\ start\ buildlife.\ This\ plugin\ will\ look\ for\ changes\ since\ that\ buildlife.=[G'\uff34\uff48\uff45 \uff29\uff24 \uff4f\uff46 \uff54\uff48\uff45 \uff53\uff54\uff41\uff52\uff54 \uff42uildlife. This plugin will look for changes since that buildlife.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ location\ of\ the\ Mercurial\ command\ if\ not\ on\ the\ system's\ PATH=[G'\uff34\uff48\uff45 \uff4c\uff4f\uff43\uff41\uff54\uff49\uff4f\uff4e \uff4f\uff46 the Mercurial command if not on the system's PATH\u0e0f\u0e39\u0130\u0131\uff5c]
The\ Mercurial\ plugin\ automates\ cleaning\ and\ populating\ a\ Mercurial\ workspace,\ creating\ a\ tag,\ and\ publishing\ source\ changes\ to\ the\ Changes\ tab\ of\ the\ BuildLife.=[G'\uff34\uff48\uff45 \uff2d\uff45\uff52\uff43\uff55\uff52\uff49\uff41\uff4c \uff50\uff4c\uff55\uff47\uff49\uff4e \uff41\uff55\uff54\uff4f\uff4d\uff41\uff54\uff45\uff53 \uff43\uff4c\uff45\uff41\uff4e\uff49\uff4e\uff47 \uff41\uff4e\uff44 \uff50opulating a Mercurial workspace, creating a tag, and publishing source changes to the Changes tab of the BuildLife.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ password\ to\ use\ for\ http(s)\ access\ repositories=[G'\uff34\uff48\uff45 \uff50\uff41\uff53\uff53\uff57\uff4f\uff52\uff44 to use for http(s) access repositories\u0e0f\u0e39\u0130\u0131\uff5c]
The\ path\ to\ the\ project\ repository.\ May\ be\ either\ absolute\ e.g.\ https\://hg.example.com/repos/example/\ or\ ssh\://hg.example.com/repos/example/,\ or\ relatative\ to\ the\ repository\ base\ url\ e.g.\ example=[G'\uff34\uff48\uff45 \uff50\uff41\uff54\uff48 \uff54\uff4f \uff54\uff48\uff45 \uff50\uff52\uff4f\uff4a\uff45\uff43\uff54 \uff52\uff45\uff50\uff4f\uff53\uff49\uff54\uff4f\uff52\uff59. \uff2d\uff41\uff59 \uff42\uff45 \uff45\uff49\uff54\uff48\uff45\uff52 \uff41\uff42\uff53\uff4f\uff4c\uff55\uff54\uff45 \uff45.\uff47. https\://hg.example.com/repos/example/ or ssh\://hg.example.com/repos/example/, or relatative to the repository base url e.g. example\u0e0f\u0e39\u0130\u0131\uff5c]
The\ remote\ branch\ name\ to\ check\ out\ (defaults\ to\ 'default')=[G'\uff34\uff48\uff45 \uff52\uff45\uff4d\uff4f\uff54\uff45 \uff42\uff52\uff41nch name to check out (defaults to 'default')\u0e0f\u0e39\u0130\u0131\uff5c]
The\ tag\ name\ to\ create=[G'\uff34\uff48\uff45 \uff54\uff41\uff47 \uff4e\uff41me to create\u0e0f\u0e39\u0130\u0131\uff5c]
The\ username\ to\ use\ for\ http(s)\ access\ repositories=[G'\uff34\uff48\uff45 \uff55\uff53\uff45\uff52\uff4e\uff41\uff4d\uff45 to use for http(s) access repositories\u0e0f\u0e39\u0130\u0131\uff5c]
Trigger\ Language=[G'\uff34\uff52\uff49\uff47\uff47er Language\u0e0f\u0e39\u0130\u0131\uff5c]
Trigger\ Script=[G'\uff34\uff52\uff49\uff47ger Script\u0e0f\u0e39\u0130\u0131\uff5c]
Username=[G'Username\u0e0f\u0e39\u0130\u0131\uff5c]
